| Home | Libraries | People | FAQ | More

##### none

###### Description

A metafunction returning the result type of `none`.

###### Synopsis

    template<
        typename Sequence,
        typename F
        >
    struct none
    {
        typedef bool type;
    };

Table 1.48. Parameters

Parameter | Requirement | Description
--- | --- | ---
`Sequence` | A model of Forward Sequence | Operation's argument
`F` | A model of unary Polymorphic Function Object | Operation's argument

###### Expression Semantics

    result_of::none<Sequence, F>::type

Return type: `bool`.

Semantics: Returns the return type of `none` given a sequence of type `Sequence` and a unary Polymorphic Function Object of type `F`. The return type is always `bool`.

###### Complexity

Constant.

###### Header

    #include <boost/fusion/algorithm/query/none.hpp>
    #include <boost/fusion/include/none.hpp>